Bug 1308290 - RFE: Enable OpenGL ES 2 support in GstGL
RFE: Enable OpenGL ES 2 support in GstGL
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gstreamer1-plugins-bad-free (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Brian Pepple
Fedora Extras Quality Assurance
: FutureFeature, Patch, Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-13 19:21 EST by Kevin Kofler
Modified: 2016-08-27 06:20 EDT (History)
4 users (show)

See Also:
Fixed In Version: gstreamer1-plugins-bad-free-1.9.1-2.fc25
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-08-27 06:20:13 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fix FTBFS, #1295444, #1267665, #1308290 (8.28 KB, patch)
2016-02-20 10:15 EST, Kevin Kofler
no flags Details | Diff

  None (edit)
Description Kevin Kofler 2016-02-13 19:21:12 EST
Description of problem:
GstGL in Rawhide's gstreamer1-plugins-bad-free is built with only desktop OpenGL support. But Samsung's Chromium GStreamer backend (which I am also trying to backport to QtWebEngine) needs GstGL built with OpenGL ES support (even on desktop platforms). It should be possible to build it with support for both.

Version-Release number of selected component (if applicable):
gstreamer1-plugins-bad-free-1.7.1-4.fc24

How reproducible:
Always

Steps to Reproduce:
1. Check out qt5-qtwebengine from dist-git.
2. Switch to the gstreamer branch.
3. Try to build that branch for Rawhide.

Actual results:
error: #error "GstGL with GLES2 support is required"

Expected results:
The build succeeds, or proceeds far enough to uncover some issue in my package rather than in GStreamer.

Additional info:
The way Chromium uses GstGL is that it renders using OpenGL ES, sends the OpenGL ES instructions over across IPC, and lets the GPU process convert that to whatever OpenGL the machine natively uses using ANGLE. That is why it always needs OpenGL ES support in GstGL, even on desktop platforms. (But the current gstreamer1-plugins-bad-free specfile doesn't even enable OpenGL ES on ARM.)
Comment 1 Kevin Kofler 2016-02-20 10:15 EST
Created attachment 1128806 [details]
Fix FTBFS, #1295444, #1267665, #1308290

The attached patch fixes this bug, bug #1295444, bug #1267665 and the FTBFS of the current Rawhide specfile.
Comment 2 Kevin Kofler 2016-02-20 10:17:55 EST
Please note that this RFE is just a matter of adding a BuildRequires: mesa-libGLES-devel. GstGL builds fine with BOTH desktop OpenGL and OpenGL ES support.
Comment 3 Fedora Update System 2016-08-19 07:14:31 EDT
gstreamer1-plugins-bad-free-1.9.1-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-a1bc3f1930
Comment 4 Fedora Update System 2016-08-19 12:50:30 EDT
gstreamer1-plugins-bad-free-1.9.1-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-a1bc3f1930
Comment 5 Fedora Update System 2016-08-27 06:19:58 EDT
gstreamer1-plugins-bad-free-1.9.1-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.